package com.dayou.mapper;

import cn.hutool.core.date.DateTime;
import com.dayou.dto.history.CommissionRate;
import com.dayou.dto.history.HisAssetsProduction;
import com.dayou.dto.history.HisCommissionDeclare;
import com.dayou.dto.history.HisMajorProduction;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DyoaHistoryMapper {

    Map<String,Object> queryMajorOrder(@Param("id") String id);

    List<HisMajorProduction> queryMajorHouseTarget(@Param("id") String id);

    List<HisMajorProduction> queryMajorLandTarget(@Param("id")String id);

    List<String> selectDyoaMajorOrderIds();

    List<HisMajorProduction> queryMajorProduction(@Param("id") String id);

    List<String> selectDyoaPersonalOrderIds();

    Map<String, Object> queryPersonalOrder(@Param("id") String id);

    Map<String,Object> queryPersonalTarget(@Param("id") String id);

    List<String> getNewOrderIds(@Param("max") Date max);

    Map<String, Object> getRealAmountInfo(@Param("id") String max);

    List<String> getNewRealAmount(@Param("max") Date max);

    List<String> getNewClaimRecordIds(@Param("max") Date max);

    Map<String, Object> getNewClaimRecord(@Param("id") String id);

    List<String> selectDyoaAssetsOrderIds();

    Map<String, Object> queryAssetsOrder(@Param("id")String id);

    List<HisAssetsProduction> queryAssetsProduction(@Param("id") String id);

    List<String> getNewFinanceInvoice();

    Map<String, Object> getInvoiceInfo(@Param("id") String id);

    List<HisMajorProduction> findAllProductionNo();

    List<HisCommissionDeclare> findCommissionDeclareInDyOA();

    List<CommissionRate> findPgRate(@Param("id")String id);

    List<CommissionRate> findScRate(@Param("id")String id);

    Date findCommissionDeclareDate(@Param("id") String id);


    Map<String, Object> getMembersAndSigner(@Param("id") String id);
}
